TTF_RenderGlyph_Shaded(3)

NAME
TTF_RenderGlyph_Shaded - Render a single UNICODE codepoint at high quality to a new 8-bit surface.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

SDL_Surface * TTF_RenderGlyph_Shaded(TTF_Font *font, Uint32 ch, SDL_Color fg, SDL_Color bg);

DESCRIPTION
This function will allocate a new 8-bit, palettized surface. The surface's 0 pixel will be the specified background color, while other pixels have varying degrees of the foreground color. This function returns the new surface, or NULL if there was an error.

The glyph is rendered without any padding or centering in the X direction, and aligned normally in the Y direction.

You can render at other quality levels with

TTF_RenderGlyph_Solid ,

TTF_RenderGlyph_Blended , and

TTF_RenderGlyph_LCD .

FUNCTION PARAMETERS

font
    the font to render with.

ch  the codepoint to render.

fg  the foreground color for the text.

bg  the background color for the text.

RETURN VALUE
Returns a new 8-bit, palettized surface, or NULL if there was an error.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_RenderGlyph_Blended(3), •(3), TTF_RenderGlyph_LCD(3), •(3), TTF_RenderGlyph_Solid(3)